Bug 1307655 - jboss-threads: FTBFS in rawhide
jboss-threads: FTBFS in rawhide
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: jboss-threads (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: gil cattaneo
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks: F24FTBFS
  Show dependency treegraph
 
Reported: 2016-02-13 16:38 EST by Fedora Release Engineering
Modified: 2016-03-01 10:56 EST (History)
3 users (show)

See Also:
Fixed In Version: jboss-threads-2.1.0-6.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-01 10:56:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
build.log (11.00 KB, text/plain)
2016-02-13 16:38 EST, Fedora Release Engineering
no flags Details
root.log (130.82 KB, text/plain)
2016-02-13 16:38 EST, Fedora Release Engineering
no flags Details
state.log (645 bytes, text/plain)
2016-02-13 16:38 EST, Fedora Release Engineering
no flags Details
BR: jdepend (#1307655) (1.23 KB, patch)
2016-02-29 19:14 EST, Yaakov Selkowitz
no flags Details | Diff

  None (edit)
Description Fedora Release Engineering 2016-02-13 16:38:51 EST
Your package jboss-threads failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=12825578

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild
Comment 1 Fedora Release Engineering 2016-02-13 16:38:53 EST
Created attachment 1125029 [details]
build.log
Comment 2 Fedora Release Engineering 2016-02-13 16:38:54 EST
Created attachment 1125030 [details]
root.log
Comment 3 Fedora Release Engineering 2016-02-13 16:38:55 EST
Created attachment 1125031 [details]
state.log
Comment 4 Jan Kurik 2016-02-24 09:49:27 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 5 Yaakov Selkowitz 2016-02-25 23:45:07 EST
[ERROR] Path to dependency:
[ERROR] 1) org.jboss.apiviz:apiviz:jar:1.3.0.GA
[ERROR] 2) jdepend:jdepend:jar:2.9.1

Missing BuildRequires: jdepend or mvn(jdepend:jdepend).  I'm not sure what the apiviz is about, as it shows up in the root.log.
Comment 6 Yaakov Selkowitz 2016-02-29 19:14 EST
Created attachment 1131759 [details]
BR: jdepend (#1307655)

Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=13182289
Comment 7 Yaakov Selkowitz 2016-03-01 10:56:05 EST
Build complete: http://koji.fedoraproject.org/koji/buildinfo?buildID=740473

Note You need to log in before you can comment on or make changes to this bug.